Subject: netatalk-1.5.0: password change problems

From: "Bryn Hughes" <[email-masked]>
Date: Fri, 11 Jan 2002 17:29:10 -0800

Hey everyone,

I just rebuilt my server using netatalk-1.5.0.  Everything is working except password changes.  I've got dhx logins working and I'm using PAM.  This is what I see in my logs when I try and do a password change from a client machine:

Jan 11 17:24:23 ccmf1 afpd[13343]: ASIP session:12001(5) from 192.168.128.34:49155(0)
Jan 11 17:24:23 ccmf1 afpd[13343]: dhx login: bhughes
Jan 11 17:24:23 ccmf1 afpd[13343]: uams_dhx_pam.c :PAM: PAM Success -- Success
Jan 11 17:24:23 ccmf1 PAM_unix[13343]: (netatalk) session opened for user bhughes by (uid=0)
Jan 11 17:24:23 ccmf1 afpd[13343]: uams_dhx_pam.c :PAM: PAM Auth OK!
Jan 11 17:24:23 ccmf1 afpd[13343]: login bhughes (uid 500, gid 505)
Jan 11 17:24:23 ccmf1 afpd[13343]: admin login -- bhughes
Jan 11 17:24:24 ccmf1 afpd[13343]: changing password for <bhughes>
Jan 11 17:24:24 ccmf1 afpd[13343]: password change continued.
Jan 11 17:24:24 ccmf1 afpd[13343]: changing password for <bhughes>
Jan 11 17:24:24 ccmf1 afpd[13343]: uams_dhx_pam.c :PAM: PAM Success -- Success
Jan 11 17:24:24 ccmf1 afpd[13343]: password change failed.
Jan 11 17:24:26 ccmf1 afpd[13343]: logout bhughes
Jan 11 17:24:26 ccmf1 PAM_unix[13343]: (netatalk) session closed for user bhughes
Jan 11 17:24:26 ccmf1 afpd[13343]: 0.42KB read, 0.21KB written

I get the same results from Mac OS X 10.1.2 or from Mac OS 9.1 with AppleShare v 3.8.8.  Does anyone have any ideas?

Thanks in advance,

Bryn

----------------------------------------------
Bryn Hughes
Macintosh/Linux Support
Information and Computing Services
Vancouver Community College

email:[email-masked]
ph: (604) 443-8702
Urgent: (604) 871-7007